##
## root.py
## Login : <uli@pu.smp.net>
## Started on  Thu Jan 20 04:17:59 2011 Uli Fouquet
## $Id$
## 
## Copyright (C) 2011 Uli Fouquet
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.
## 
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
## 
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
##
"""
The root for applications.
"""
import grok
from waeup.sirp.applications.interfaces import IApplicationsRoot

class ApplicationsRoot(grok.Container):
    """The root of student applications-related components.
    """
    grok.implements(IApplicationsRoot)
    
    def addApplicationContainer(self, container, name=None):
        """Add an application container.

        Adds an application container that implements `interface`
        under the name `name`.

        `container` the container instance to be added. Should
          implement :class:`IApplicationContainer`.

        `name`
          the name under which the container will be accessible. We
          usually use names like ``pume_2011`` to indicate, that the
          new container will contain student applications for a
          certain screening type (``pume``) and of the year 2011.

        """
        self[name] = container
        return
